Subject: bug#25228: 25.1; GNU emacs 25.1: custom-set-faces from init file ~/.emacs ignored

From: Rostislav Svoboda <[email-masked]>
Date: Thu, 22 Dec 2016 12:59:02 +0100

>> The patch works! The font-height stays the same.
>
> Installed now for Emacs 25.2.

thx :)

>> FYI - this is most probably unrelated to the font-height problem, anyway:
>> 1. On my "font-height-works" machine (Ubuntu 16.10) the first invocation
>> of:
>>      ./src/emacs -q --eval "(set-face-attribute 'default nil :height 40)"
>> &
>> creates a rather small frame (I mean gtk window).
>
> With 40 lines though.  What did you expect?

I think it's better to show you some screenshots:

http://picpaste.com/first.png
Size is 522 x 486 - I think this is too small (a bug?)

http://picpaste.com/second-fdbVUcuU.png
Size is 762 x 695 pixels - expected size

>> 3. On my "font-height-buggy" machine (Ubuntu 16.10 in VirtBox under
>> Windows 7) I
>> always get small frames of the same size and I never see any Gtk errors or
>> warnings.
>
> The Windows API has no idea of window sizes based on the metrics of some
> default font.  The "round frame sizes to multiples of the default font
> height" paradigm is among the most irksome legacies the Emacs frame code
> has to deal with.

I run my emacs on Ubuntu 16.10 with Xfce installed in Virtual Machine running
on Windows 7. Is Windows API the culprit here? I don't think so.

Cheers Bost